> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bestand Verwijderen

> Verwijder een bestand en de bijbehorende gegevens uit de opslag.



## OpenAPI

````yaml nl/openapi/files.json DELETE /v1/files/{file_id}
openapi: 3.0.3
info:
  title: Bestanden API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/files/{file_id}:
    delete:
      summary: Verwijder Bestand
      description: Verwijder een bestand en de bijbehorende gegevens uit de opslag.
      parameters:
        - name: file_id
          in: path
          required: true
          description: Unieke identificatie voor het bestand om te verwijderen.
          schema:
            type: string
      responses:
        '200':
          description: Bestand succesvol verwijderd.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Bestand ID
                  object:
                    type: string
                    description: Het soort object. "file" voor deze endpoint.
                  deleted:
                    type: boolean
                    description: Geeft aan dat het bestand succesvol is verwijderd.
        '401':
          description: Ongeldige API-sleutel
        '404':
          description: Bestand niet gevonden
        '500':
          description: Interne serverfout
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Bearer authenticatie header in de vorm Bearer <token>, waar <token> jouw
        auth token is.

````